Page MenuHomeFreeBSD

Add new counter descriptions to AMD 0x17
ClosedPublic

Authored by somalapuram_gmail.com on Oct 4 2018, 9:28 AM.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

Did you think about getting some reviewers attached for this, as well as fixing the various errors?
The reason I ask is because it doesn't seem like a bad change, but if it's going to go into the tree there's typically some sort of review process.

mmacy retitled this revision from <<hwpmc> to Add new counter descriptions to AMD 0x17.Oct 4 2018, 7:52 PM
mmacy added a reviewer: mmacy.
mmacy added inline comments.Oct 4 2018, 7:58 PM
lib/libpmc/libpmc_pmu_util.c
159 ↗(On Diff #48709)

Style notice the tabs above

429 ↗(On Diff #48709)

Style.

sys/dev/hwpmc/hwpmc_amd.c
590 ↗(On Diff #48709)

Notice how nothing else returns -1 like this.

sys/dev/hwpmc/hwpmc_amd.h
90 ↗(On Diff #48709)

Style

<<hwpmc> Add library and kernel support for AMD Family 17h new counters L3 Cache and Data Fabric

somalapuram_gmail.com marked 4 inline comments as done.Oct 5 2018, 8:39 AM

updated the code

updated the code

This revision is now accepted and ready to land.Oct 8 2018, 10:37 AM
This revision now requires review to proceed.Oct 9 2018, 2:20 AM

Can you please review this.

mmacy accepted this revision.Oct 10 2018, 10:52 PM

Do you need this in for the 12 release? I can do that, it just means some more hoops for me jump through.

This revision is now accepted and ready to land.Oct 10 2018, 10:52 PM

Do you need this in for the 12 release? I can do that, it just means some more hoops for me jump through.

Yes we need this for 12.0 release

Do you need this in for the 12 release? I can do that, it just means some more hoops for me jump through.

I am unable to commit (svn commit). (https://wiki.freebsd.org/Phabricator)

Do I have to commit or it will be automatically do ?? do I miss any steps ??

svn-commit.tmp: 36 lines, 1596 characters.
svn: E170001: Commit failed (details follow):
svn: E170001: Authorization failed
svn: E170001: Your commit message was left in a temporary file:
svn: E170001: '/usr/home/amar/freebsd_svn/freebsd_head/svn-commit.tmp'

mmacy added a comment.Oct 11 2018, 5:23 AM

Do you need this in for the 12 release? I can do that, it just means some more hoops for me jump through.

I am unable to commit (svn commit). (https://wiki.freebsd.org/Phabricator)
Do I have to commit or it will be automatically do ?? do I miss any steps ??
svn-commit.tmp: 36 lines, 1596 characters.
svn: E170001: Commit failed (details follow):
svn: E170001: Authorization failed
svn: E170001: Your commit message was left in a temporary file:
svn: E170001: '/usr/home/amar/freebsd_svn/freebsd_head/svn-commit.tmp'

Someone with a commit bit needs to do it

Do you need this in for the 12 release? I can do that, it just means some more hoops for me jump through.

I am unable to commit (svn commit). (https://wiki.freebsd.org/Phabricator)
Do I have to commit or it will be automatically do ?? do I miss any steps ??
svn-commit.tmp: 36 lines, 1596 characters.
svn: E170001: Commit failed (details follow):
svn: E170001: Authorization failed
svn: E170001: Your commit message was left in a temporary file:
svn: E170001: '/usr/home/amar/freebsd_svn/freebsd_head/svn-commit.tmp'

Someone with a commit bit needs to do it

Hi Macy can you help me to commit this changes..

mmacy added a comment.Oct 29 2018, 9:11 PM

Do you need this in for the 12 release? I can do that, it just means some more hoops for me jump through.

I am unable to commit (svn commit). (https://wiki.freebsd.org/Phabricator)
Do I have to commit or it will be automatically do ?? do I miss any steps ??
svn-commit.tmp: 36 lines, 1596 characters.
svn: E170001: Commit failed (details follow):
svn: E170001: Authorization failed
svn: E170001: Your commit message was left in a temporary file:
svn: E170001: '/usr/home/amar/freebsd_svn/freebsd_head/svn-commit.tmp'

Someone with a commit bit needs to do it

Hi Macy can you help me to commit this changes..

Sorry - I didn’t see this in my queue. Will do today.

This revision was automatically updated to reflect the committed changes.